Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/input/mouse/synaptics.c |    7 +++++++
 1 files changed, 7 insertions(+)

diff -puN drivers/input/mouse/synaptics.c~input-synaptics-dynabook.diff drivers/input/mouse/synaptics.c
--- devel/drivers/input/mouse/synaptics.c~input-synaptics-dynabook.diff	2005-07-14 17:33:47.000000000 -0700
+++ devel-akpm/drivers/input/mouse/synaptics.c	2005-07-14 17:33:48.000000000 -0700
@@ -615,6 +615,13 @@ static struct dmi_system_id toshiba_dmi_
 			DMI_MATCH(DMI_PRODUCT_NAME , "dynabook"),
 		},
 	},
+	{
+		.ident = "Toshiba Dynabook",
+		.matches = {
+			DMI_MATCH(DMI_SYS_VENDOR, "TOSHIBA"),
+			DMI_MATCH(DMI_PRODUCT_NAME , "dynabook"),
+		},
+	},
 	{ }
 };
 #endif
_
